Description

I configured today some projects only with the time tracking module enabled and I've observed that the Issue field is shown in the

time log form (attached two screenshots).

I think we can improve the UI if we hide the issue field when the user doesn't have the possibility to select any issue.

I'll add a patch soon, but until then, any feedback is welcome.

History

#1 - 2018-10-31 22:30 - Marius BĂLTEANU

- Subject changed from Hide issue field in time log form when the user cannot relate any issue to Hide issue field in time log form when the user

cannot add any issue

#2 - 2018-11-01 08:08 - Marius BĂLTEANU

- Subject changed from Hide issue field in time log form when the user cannot add any issue to Hide issue field in time log form when the user cannot

view any issue

#3 - 2018-11-05 06:14 - Go MAEDA

+1

But we have to consider the behavior when the issue field for time logs is set as required field and the issue tracking module is not enabled in the

project. We will not be able to save time logs if we simply hide the issue field.
